## ros-indigo-lms1xx 0.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(lms1xx)

# Build ROS-independent library.
find_package(console_bridge REQUIRED)
include_directories(include ${console_bridge_INCLUDE_DIRS})
add_library(LMS1xx src/LMS1xx.cpp)
target_link_libraries(LMS1xx ${console_bridge_LIBRARIES})

# Regular catkin package follows.
find_package(catkin REQUIRED COMPONENTS roscpp sensor_msgs)
catkin_package(CATKIN_DEPENDS roscpp)

include_directories(include ${catkin_INCLUDE_DIRS})
add_executable(LMS1xx_node src/LMS1xx_node.cpp)
target_link_libraries(LMS1xx_node LMS1xx ${catkin_LIBRARIES})


install(TARGETS LMS1xx LMS1xx_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY meshes launch urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS scripts/find_sick scripts/set_sick_ip
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_buffer test/test_buffer.cpp)
  target_link_libraries(test_buffer ${catkin_LIBRARIES})

  find_package(roslint REQUIRED)
  roslint_cpp()
  #roslint_add_test()

  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/LMS1xx.launch)
endif()

=== debian/changelog ===
ros-indigo-lms1xx (0.1.6-0trusty) trusty; urgency=high

  * Added max/min angle to gazebo plugin.
  * [ros params] Adding 'port' parameter. (#35 <https://github.com/clearpathrobotics/LMS1xx/issues/35>)
  * Add robot namespace to lidar plugin
  * Exposed parameters min_range and max_range
  * add parameters 'sample_size' and 'update_rate' for gazebo's ray plugin
  * Contributors: Achim, CyrillePierre, Mike Purvis, Paul Bovbel, Tony Baltovski, mailto:bikramak@aandkrobotics.com

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 04 May 2017 04:00:00 -0000

ros-indigo-lms1xx (0.1.5-0trusty) trusty; urgency=high

  * Rework startup/reconnection logic.
  * Add roslaunch, roslint checks.
  * Other fixes, including a new buffer class with tests.
  * Add travis.
  * Apply astyle to original package.
  * Remove screen attribute from example launcher.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 18 Dec 2015 05:00:00 -0000

ros-indigo-lms1xx (0.1.4-0trusty) trusty; urgency=high

  * Another startup bugfix.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 04 Sep 2015 04:00:00 -0000

ros-indigo-lms1xx (0.1.3-0trusty) trusty; urgency=high

  * Added URDF with simulation plugin.
  * Added script to set static IP of LMS1xx
  * Fixed startup publishing issue
  * Removed one second delay in login
  * Contributors: Mike Purvis, Mustafa Safri, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 16 Jul 2015 04:00:00 -0000

ros-indigo-lms1xx (0.1.2-0trusty) trusty; urgency=high

  * More robust startup for LMS1xs, retries instead of just dying.
  * Switch to console_bridge logouts, separate lib.
  * Remove buffer flush at conclusion.
  * Use LMS1xx reported configuration instead of capabilities for angle_min, max, etc...
  * Use output range query for min & max angles, num_values, and time_increment.
    Previously, the code would query the LMS1xx for its capabilities, which
    might exceed its current configuration (in terms of angle range).  Now, we
    query the LMS1xx for its configuration when setting scan parameters such
    as min & max angle, number of values reported, and time increment.
  * Add getScanOutputRange() to read outputRange data from the LMS1xx.
  * Contributors: Mike Purvis, Patrick Doyle

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-indigo-lms1xx (0.1.1-0trusty) trusty; urgency=high

  * Changed the pkg and name so that the launch file is able to find the package.
  * Fix assignment in if() to comparison.
  * Contributors: Jeff Schmidt, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 18 Aug 2014 04:00:00 -0000

ros-indigo-lms1xx (0.1.0-0trusty) trusty; urgency=high

  * Fix example launch file and install it.
  * Fix project name in CMakeLists.
  * Adding original author, readme
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-indigo-lms1xx (0.0.1-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: MLefebvre, Mike Purvis, Prasenjit Mukherjee

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-lms1xx
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosconsole-bridge, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-rosunit, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/LMS1xx
Standards-Version: 3.9.2

Package: ros-indigo-lms1xx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosconsole-bridge, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-sensor-msgs
Description: The lms1xx package contains a basic ROS driver for the SICK LMS1xx line of LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-lms1xx//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
